#!/usr/bin/env python3

# -*- coding: utf-8 -*-

"""
Description: Configuration class
"""

from pathlib import Path


class Config:
    """
    A class containing every parameters used in the submodule db_utils
    """
    db_file = Path(__file__).parents[2] / "results" / 'chia_pet_database.db'
    tables = ["cin_gene", "cin_exon", "cin_frequency", "cin_interaction"]
    bed_exon = Path(__file__).parents[2] / 'data' / 'bed' / 'exon.bed'
    bed_gene = Path(__file__).parents[2] / 'data' / 'bed' / 'gene.bed'

